globus_common.h(3)

NAME
globus_common.h - Headers common to all of Globus.

SYNOPSIS

#include 'globus_common_include.h'
#include 'globus_module.h'
#include 'globus_url.h'
#include 'globus_list.h'
#include 'globus_hashtable.h'
#include 'globus_fifo.h'
#include 'globus_symboltable.h'
#include 'globus_object.h'
#include 'globus_object_hierarchy.h'
#include 'globus_error.h'
#include 'globus_error_hierarchy.h'
#include 'globus_thread.h'
#include 'globus_time.h'
#include 'globus_thread_pool.h'
#include 'globus_handle_table.h'
#include 'globus_callback.h'
#include 'globus_logging.h'
#include 'globus_memory.h'
#include 'globus_print.h'
#include 'globus_tilde_expand.h'
#include 'globus_libc.h'
#include 'globus_priority_q.h'
#include 'globus_range_list.h'
#include 'globus_debug.h'
#include 'globus_args.h'
#include 'globus_strptime.h'
#include 'globus_thread_common.h'
#include 'globus_thread_rw_mutex.h'
#include 'globus_thread_rmutex.h'
#include 'globus_error_errno.h'
#include 'globus_error_generic.h'
#include 'globus_extension.h'
#include 'globus_uuid.h'
#include 'globus_options.h'
#include 'globus_states.h'

  Macros

#define GLOBUS_COMMON_MODULE (&globus_i_common_module)
Globus Common Module Descriptor.

  Functions

globus_result_t globus_eval_path (const char *pathstring, char **bufp)

Detailed Description

Headers common to all of Globus.

Author

Generated automatically by Doxygen for globus_common from the source code.